## mushrooms 0.1.1

=== Makefile ===
#############################################################################
# Makefile for building: mushrooms
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Sep 10 22:54:20 2010
# Project:  mushrooms.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile mushrooms.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/miiko/source/kuvaaja/mushrooms-0.1/src/src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/miiko/source/kuvaaja/mushrooms-0.1/src/src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: mushrooms.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile mushrooms.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile mushrooms.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: ratapeli
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Sep 5 20:33:57 2010
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/local/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_SQL_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtOpenGL -I/targets/FREMANTLE_ARMEL/usr/include/QtSql -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include -I. -I/usr/X11R6/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/X11R6/lib -lQtDBus -L/usr/lib -lQtXml -lQtSql -lQtOpenGL -L/usr/X11R6/lib -lQtGui -lQtCore -lGLESv2 -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = glwidget.cpp \
		main.cpp \
		model.cpp \
		md2.cpp \
		mushmain.cpp \
		mushhigh.cpp \
		mushdialog.cpp moc_glwidget.cpp \
		moc_graph.cpp \
		moc_mushmain.cpp \
		moc_mushhigh.cpp \
		moc_mushdialog.cpp \
		qrc_resources.cpp
OBJECTS       = glwidget.o \
		main.o \
		model.o \
		md2.o \
		mushmain.o \
		mushhigh.o \
		mushdialog.o \
		moc_glwidget.o \
		moc_graph.o \
		moc_mushmain.o \
		moc_mushhigh.o \
		moc_mushdialog.o \
		qrc_resources.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = ratapeli
DESTDIR       = 
TARGET        = ratapeli

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mushmain.h ui_mushhigh.h ui_highscoredialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtOpenGL.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/opengl.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtSql.prl:
/usr/lib/libQtOpenGL.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/ratapeli1.0.0 || $(MKDIR) .tmp/ratapeli1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/ratapeli1.0.0/ && $(COPY_FILE) --parents glwidget.h graph.h pala.h model.h helper.h md2.h mushmain.h mushhigh.h mushdialog.h .tmp/ratapeli1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/ratapeli1.0.0/ && $(COPY_FILE) --parents glwidget.cpp main.cpp model.cpp md2.cpp mushmain.cpp mushhigh.cpp mushdialog.cpp .tmp/ratapeli1.0.0/ && $(COPY_FILE) --parents mushmain.ui mushhigh.ui highscoredialog.ui .tmp/ratapeli1.0.0/ && (cd `dirname .tmp/ratapeli1.0.0` && $(TAR) ratapeli1.0.0.tar ratapeli1.0.0 && $(COMPRESS) ratapeli1.0.0.tar) && $(MOVE) `dirname .tmp/ratapeli1.0.0`/ratapeli1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/ratapeli1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_glwidget.cpp moc_graph.cpp moc_mushmain.cpp moc_mushhigh.cpp moc_mushdialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_glwidget.cpp moc_graph.cpp moc_mushmain.cpp moc_mushhigh.cpp moc_mushdialog.cpp
moc_glwidget.cpp: model.h \
		structures.h \
		md2.h \
		glwidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) glwidget.h -o moc_glwidget.cpp

moc_graph.cpp: glwidget.h \
		model.h \
		structures.h \
		md2.h \
		graph.h
	/usr/bin/moc $(DEFINES) $(INCPATH) graph.h -o moc_graph.cpp

moc_mushmain.cpp: ui_mushmain.h \
		glwidget.h \
		model.h \
		structures.h \
		md2.h \
		mushdialog.h \
		ui_highscoredialog.h \
		mushhigh.h \
		ui_mushhigh.h \
		mushmain.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mushmain.h -o moc_mushmain.cpp

moc_mushhigh.cpp: ui_mushhigh.h \
		mushhigh.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mushhigh.h -o moc_mushhigh.cpp

moc_mushdialog.cpp: ui_highscoredialog.h \
		mushdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mushdialog.h -o moc_mushdialog.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all: qrc_resources.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_resources.cpp
qrc_resources.cpp: resources.qrc \
		textures/terrain.png \
		textures/dpng.png \
		textures/sieni.png \
		textures/nainen.jpg \
		textures/dpngn.png \
		models/sieni.obj
	/usr/bin/rcc -name resources resources.qrc -o qrc_resources.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all: ui_mushmain.h ui_mushhigh.h ui_highscoredialog.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mushmain.h ui_mushhigh.h ui_highscoredialog.h
ui_mushmain.h: mushmain.ui
	/usr/bin/uic mushmain.ui -o ui_mushmain.h

ui_mushhigh.h: mushhigh.ui
	/usr/bin/uic mushhigh.ui -o ui_mushhigh.h

ui_highscoredialog.h: highscoredialog.ui
	/usr/bin/uic highscoredialog.ui -o ui_highscoredialog.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:

=== debian/changelog ===
mushrooms (0.1.1) unstable; urgency=low

  * Initial release

 -- Mikko Antila <mikko.antila@gmail.com>  Fri, 10 Sep 2010 23:03:22 +0300

mushrooms (0.1) unstable; urgency=low

  * Initial release

 -- Mikko Antila <mikko.antila@gmail.com>  Fri, 10 Sep 2010 18:53:22 +0300

=== debian/control ===
Source: mushrooms
Section: user/games
Priority: extra
Maintainer: Mikko Antila <mikko.antila@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6), mce-dev (>= 1.8.17), gnupg (>=1.4.6)
Standards-Version: 3.8.3

Package: mushrooms
Architecture: armel
Depends: ${shlibs:Depends}, libqt4-opengl, libqt4-gui, libqt4-core, libqt4-sql, libqt4-sql-sqlite
Description: mushrooms is simple 3d game
 Mushroom Adventure is simple opengl game. The aim of the game is to pick mushrooms
 as fast you can. The game has device specific high score list.

## mushrooms 0.1.2

=== debian/changelog ===
mushrooms (0.1.2) unstable; urgency=low

  * Small fixes

 -- Mikko Antila <mikko.antila@gmail.com>  Fri, 11 Sep 2010 13:03:22 +0300

## mushrooms 0.1.3-1

=== debian/changelog ===
mushrooms (0.1.3-1) unstable; urgency=low

  * fixed mistake in debian/control

 -- Mikko Antila <mikko.antila@gmail.com>  Sat, 11 Sep 2010 23:18:22 +0300

mushrooms (0.1.3) unstable; urgency=low

  * optified and added bugtracker url

 -- Mikko Antila <mikko.antila@gmail.com>  Sat, 11 Sep 2010 23:18:22 +0300

## mushrooms 0.1.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: mushrooms
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Sep 10 22:54:20 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Sep 12 12:49:55 2010
 # Project:  mushrooms.pro
 # Template: subdirs
 # Command: /usr/bin/qmake -unix -o Makefile mushrooms.pro
@@ -29,10 +29,10 @@
 
 src/$(MAKEFILE): 
 	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
-	cd src/ && $(QMAKE) /home/miiko/source/kuvaaja/mushrooms-0.1/src/src.pro -unix -o $(MAKEFILE)
+	cd src/ && $(QMAKE) /home/miiko/source/kuvaaja/mushrooms-0.1.3/src/src.pro -unix -o $(MAKEFILE)
 sub-src-qmake_all:  FORCE
 	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
-	cd src/ && $(QMAKE) /home/miiko/source/kuvaaja/mushrooms-0.1/src/src.pro -unix -o $(MAKEFILE)
+	cd src/ && $(QMAKE) /home/miiko/source/kuvaaja/mushrooms-0.1.3/src/src.pro -unix -o $(MAKEFILE)
 sub-src: src/$(MAKEFILE) FORCE
 	cd src/ && $(MAKE) -f $(MAKEFILE)
 sub-src-make_default: src/$(MAKEFILE) FORCE

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
-# Makefile for building: ratapeli
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Sep 5 20:33:57 2010
+# Makefile for building: mushrooms
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Sep 12 12:49:57 2010
 # Project:  src.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile src.pro
@@ -10,7 +10,7 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/local/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_SQL_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/opt/mushrooms\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_SQL_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtOpenGL -I/targets/FREMANTLE_ARMEL/usr/include/QtSql -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include -I. -I/usr/X11R6/include -I. -I.
@@ -91,9 +91,9 @@
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
 		src.pro
-QMAKE_TARGET  = ratapeli
+QMAKE_TARGET  = mushrooms
 DESTDIR       = 
-TARGET        = ratapeli
+TARGET        = mushrooms
 
 first: all
 ####### Implicit rules
@@ -183,8 +183,8 @@
 	@$(QMAKE) -unix -o Makefile src.pro
 
 dist: 
-	@$(CHK_DIR_EXISTS) .tmp/ratapeli1.0.0 || $(MKDIR) .tmp/ratapeli1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/ratapeli1.0.0/ && $(COPY_FILE) --parents glwidget.h graph.h pala.h model.h helper.h md2.h mushmain.h mushhigh.h mushdialog.h .tmp/ratapeli1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/ratapeli1.0.0/ && $(COPY_FILE) --parents glwidget.cpp main.cpp model.cpp md2.cpp mushmain.cpp mushhigh.cpp mushdialog.cpp .tmp/ratapeli1.0.0/ && $(COPY_FILE) --parents mushmain.ui mushhigh.ui highscoredialog.ui .tmp/ratapeli1.0.0/ && (cd `dirname .tmp/ratapeli1.0.0` && $(TAR) ratapeli1.0.0.tar ratapeli1.0.0 && $(COMPRESS) ratapeli1.0.0.tar) && $(MOVE) `dirname .tmp/ratapeli1.0.0`/ratapeli1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/ratapeli1.0.0
+	@$(CHK_DIR_EXISTS) .tmp/mushrooms1.0.0 || $(MKDIR) .tmp/mushrooms1.0.0 
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/mushrooms1.0.0/ && $(COPY_FILE) --parents glwidget.h graph.h pala.h model.h helper.h md2.h mushmain.h mushhigh.h mushdialog.h .tmp/mushrooms1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/mushrooms1.0.0/ && $(COPY_FILE) --parents glwidget.cpp main.cpp model.cpp md2.cpp mushmain.cpp mushhigh.cpp mushdialog.cpp .tmp/mushrooms1.0.0/ && $(COPY_FILE) --parents mushmain.ui mushhigh.ui highscoredialog.ui .tmp/mushrooms1.0.0/ && (cd `dirname .tmp/mushrooms1.0.0` && $(TAR) mushrooms1.0.0.tar mushrooms1.0.0 && $(COMPRESS) mushrooms1.0.0.tar) && $(MOVE) `dirname .tmp/mushrooms1.0.0`/mushrooms1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/mushrooms1.0.0
 
 
 clean:compiler_clean 
@@ -285,4 +285,3 @@
 compiler_yacc_impl_make_all:
 compiler_yacc_impl_clean:
 compiler_lex_make_all:
-compiler_lex_clean:

=== debian/changelog ===
mushrooms (0.1.4) unstable; urgency=low

  * Bugfixes and feature to stop game without playing it through

 -- Mikko Antila <mikko.antila@gmail.com>  Sun, 12 Sep 2010 14:29:14 +0300

## mushrooms 0.1.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: mushrooms
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Sep 12 12:49:55 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Sep 12 21:49:30 2010
 # Project:  mushrooms.pro
 # Template: subdirs
 # Command: /usr/bin/qmake -unix -o Makefile mushrooms.pro
@@ -29,10 +29,10 @@
 
 src/$(MAKEFILE): 
 	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
-	cd src/ && $(QMAKE) /home/miiko/source/kuvaaja/mushrooms-0.1.3/src/src.pro -unix -o $(MAKEFILE)
+	cd src/ && $(QMAKE) /home/miiko/source/kuvaaja/mushrooms-0.1.5/src/src.pro -unix -o $(MAKEFILE)
 sub-src-qmake_all:  FORCE
 	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
-	cd src/ && $(QMAKE) /home/miiko/source/kuvaaja/mushrooms-0.1.3/src/src.pro -unix -o $(MAKEFILE)
+	cd src/ && $(QMAKE) /home/miiko/source/kuvaaja/mushrooms-0.1.5/src/src.pro -unix -o $(MAKEFILE)
 sub-src: src/$(MAKEFILE) FORCE
 	cd src/ && $(MAKE) -f $(MAKEFILE)
 sub-src-make_default: src/$(MAKEFILE) FORCE

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: mushrooms
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Sep 12 12:49:57 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Sep 12 21:49:27 2010
 # Project:  src.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile src.pro

=== debian/changelog ===
mushrooms (0.1.5) unstable; urgency=low

  * The game pauses itself when screen is locked during the game

 -- Mikko Antila <mikko.antila@gmail.com>  Sun, 12 Sep 2010 21:52:23 +0300

## mushrooms 0.1.6

=== debian/changelog ===
mushrooms (0.1.6) unstable; urgency=low

  * Fixed power management issues

 -- Mikko Antila <mikko.antila@gmail.com>  Tue, 14 Sep 2010 12:48:12 +0300

=== debian/control ===
Source: mushrooms
Section: user/games
Priority: extra
Maintainer: Mikko Antila <mikko.antila@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6), mce-dev (>= 1.8.17)
Standards-Version: 3.8.3

Package: mushrooms
Architecture: armel
Depends: ${shlibs:Depends}, libqt4-opengl, libqt4-gui, libqt4-core, libqt4-sql, libqt4-sql-sqlite
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1856
Description: mushrooms is simple 3d game
 Mushroom Adventure is simple opengl game. The aim of the game is to pick mushrooms
 as fast you can. The game has device specific high score list.

## mushrooms 0.1.6-1

=== debian/changelog ===
mushrooms (0.1.6-1) unstable; urgency=low

  * Fixed more power management issues

 -- Mikko Antila <mikko.antila@gmail.com>  Tue, 14 Sep 2010 13:17:34 +0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := mushrooms
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mushrooms 0.1.6-2

=== debian/changelog ===
mushrooms (0.1.6-2) unstable; urgency=low

  * Fixed the power problem in start of the game

 -- Mikko Antila <mikko.antila@gmail.com>  Tue, 14 Sep 2010 13:45:55 +0300

## mushrooms 0.1.7

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #############################################################################
 # Makefile for building: mushrooms
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Sep 12 21:49:30 2010
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Nov 6 04:02:01 2010
 # Project:  mushrooms.pro
 # Template: subdirs
-# Command: /usr/bin/qmake -unix -o Makefile mushrooms.pro
+# Command: /usr/bin/qmake -o Makefile mushrooms.pro
 #############################################################################
 
 first: make_default
@@ -29,10 +29,10 @@
 
 src/$(MAKEFILE): 
 	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
-	cd src/ && $(QMAKE) /home/miiko/source/kuvaaja/mushrooms-0.1.5/src/src.pro -unix -o $(MAKEFILE)
+	cd src/ && $(QMAKE) /home/miiko/source/kuvaaja/mushrooms-0.1.7/src/src.pro -o $(MAKEFILE)
 sub-src-qmake_all:  FORCE
 	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
-	cd src/ && $(QMAKE) /home/miiko/source/kuvaaja/mushrooms-0.1.5/src/src.pro -unix -o $(MAKEFILE)
+	cd src/ && $(QMAKE) /home/miiko/source/kuvaaja/mushrooms-0.1.7/src/src.pro -o $(MAKEFILE)
 sub-src: src/$(MAKEFILE) FORCE
 	cd src/ && $(MAKE) -f $(MAKEFILE)
 sub-src-make_default: src/$(MAKEFILE) FORCE
@@ -53,6 +53,7 @@
 Makefile: mushrooms.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
+		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
@@ -68,10 +69,11 @@
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
-	$(QMAKE) -unix -o Makefile mushrooms.pro
+	$(QMAKE) -o Makefile mushrooms.pro
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
+/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
@@ -88,7 +90,7 @@
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
 qmake: qmake_all FORCE
-	@$(QMAKE) -unix -o Makefile mushrooms.pro
+	@$(QMAKE) -o Makefile mushrooms.pro
 
 qmake_all: sub-src-qmake_all FORCE
 
@@ -101,6 +103,10 @@
 install_subtargets: sub-src-install_subtargets FORCE
 uninstall_subtargets: sub-src-uninstall_subtargets FORCE
 
+sub-src-check: src/$(MAKEFILE)
+	cd src/ && $(MAKE) check
+check: sub-src-check
+
 mocclean: compiler_moc_header_clean compiler_moc_source_clean
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all

=== src/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #############################################################################
 # Makefile for building: mushrooms
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Sep 12 21:49:27 2010
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Nov 6 17:49:13 2010
 # Project:  src.pro
 # Template: app
-# Command: /usr/bin/qmake -unix -o Makefile src.pro
+# Command: /usr/bin/qmake -o Makefile src.pro
 #############################################################################
 
 ####### Compiler, tools and options
@@ -15,8 +15,8 @@
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtOpenGL -I/targets/FREMANTLE_ARMEL/usr/include/QtSql -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include -I. -I/usr/X11R6/include -I. -I.
 LINK          = g++
-LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
-LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/X11R6/lib -lQtDBus -L/usr/lib -lQtXml -lQtSql -lQtOpenGL -L/usr/X11R6/lib -lQtGui -lQtCore -lGLESv2 -lpthread 
+LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
+LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/X11R6/lib -L/usr/lib -lQtSql -lQtOpenGL -L/usr/X11R6/lib -lQtGui -lQtDBus -lQtXml -lQtCore -lGLESv2 -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake
@@ -71,6 +71,7 @@
 DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
+		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
@@ -125,6 +126,7 @@
 Makefile: src.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
+		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
@@ -150,10 +152,11 @@
 		/usr/lib/libQtSql.prl \
 		/usr/lib/libQtOpenGL.prl \
 		/usr/lib/libQtGui.prl
-	$(QMAKE) -unix -o Makefile src.pro
+	$(QMAKE) -o Makefile src.pro
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
+/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
@@ -180,7 +183,7 @@
 /usr/lib/libQtOpenGL.prl:
 /usr/lib/libQtGui.prl:
 qmake:  FORCE
-	@$(QMAKE) -unix -o Makefile src.pro
+	@$(QMAKE) -o Makefile src.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/mushrooms1.0.0 || $(MKDIR) .tmp/mushrooms1.0.0 
@@ -198,6 +201,8 @@
 	-$(DEL_FILE) $(TARGET) 
 	-$(DEL_FILE) Makefile
 
+
+check: first
 
 mocclean: compiler_moc_header_clean compiler_moc_source_clean
 
@@ -277,11 +282,3 @@
 ui_mushhigh.h: mushhigh.ui
 	/usr/bin/uic mushhigh.ui -o ui_mushhigh.h
 
-ui_highscoredialog.h: highscoredialog.ui
-	/usr/bin/uic highscoredialog.ui -o ui_highscoredialog.h
-
-compiler_yacc_decl_make_all:
-compiler_yacc_decl_clean:
-compiler_yacc_impl_make_all:
-compiler_yacc_impl_clean:
-compiler_lex_make_all:

=== debian/changelog ===
mushrooms (0.1.7) unstable; urgency=low

  * fixed some code for functioning with qt 4.7 and pr1.3

 -- Mikko Antila <mikko.antila@gmail.com>  Sat,  6 Nov 2010 19:53:21 +0200

## mushrooms 0.2.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: mushrooms
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Nov 6 04:02:01 2010
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Dec 25 13:56:11 2010
 # Project:  mushrooms.pro
 # Template: subdirs
 # Command: /usr/bin/qmake -o Makefile mushrooms.pro
@@ -29,10 +29,10 @@
 
 src/$(MAKEFILE): 
 	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
-	cd src/ && $(QMAKE) /home/miiko/source/kuvaaja/mushrooms-0.1.7/src/src.pro -o $(MAKEFILE)
+	cd src/ && $(QMAKE) /home/miiko/source/kuvaaja/mushrooms-0.2.0/src/src.pro -o $(MAKEFILE)
 sub-src-qmake_all:  FORCE
 	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
-	cd src/ && $(QMAKE) /home/miiko/source/kuvaaja/mushrooms-0.1.7/src/src.pro -o $(MAKEFILE)
+	cd src/ && $(QMAKE) /home/miiko/source/kuvaaja/mushrooms-0.2.0/src/src.pro -o $(MAKEFILE)
 sub-src: src/$(MAKEFILE) FORCE
 	cd src/ && $(MAKE) -f $(MAKEFILE)
 sub-src-make_default: src/$(MAKEFILE) FORCE

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: mushrooms
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Nov 6 17:49:13 2010
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Dec 25 13:08:53 2010
 # Project:  src.pro
 # Template: app
 # Command: /usr/bin/qmake -o Makefile src.pro
@@ -187,7 +187,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/mushrooms1.0.0 || $(MKDIR) .tmp/mushrooms1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/mushrooms1.0.0/ && $(COPY_FILE) --parents glwidget.h graph.h pala.h model.h helper.h md2.h mushmain.h mushhigh.h mushdialog.h .tmp/mushrooms1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/mushrooms1.0.0/ && $(COPY_FILE) --parents glwidget.cpp main.cpp model.cpp md2.cpp mushmain.cpp mushhigh.cpp mushdialog.cpp .tmp/mushrooms1.0.0/ && $(COPY_FILE) --parents mushmain.ui mushhigh.ui highscoredialog.ui .tmp/mushrooms1.0.0/ && (cd `dirname .tmp/mushrooms1.0.0` && $(TAR) mushrooms1.0.0.tar mushrooms1.0.0 && $(COMPRESS) mushrooms1.0.0.tar) && $(MOVE) `dirname .tmp/mushrooms1.0.0`/mushrooms1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/mushrooms1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/mushrooms1.0.0/ && $(COPY_FILE) --parents glwidget.h graph.h model.h helper.h md2.h mushmain.h mushhigh.h mushdialog.h .tmp/mushrooms1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/mushrooms1.0.0/ && $(COPY_FILE) --parents glwidget.cpp main.cpp model.cpp md2.cpp mushmain.cpp mushhigh.cpp mushdialog.cpp .tmp/mushrooms1.0.0/ && $(COPY_FILE) --parents mushmain.ui mushhigh.ui highscoredialog.ui .tmp/mushrooms1.0.0/ && (cd `dirname .tmp/mushrooms1.0.0` && $(TAR) mushrooms1.0.0.tar mushrooms1.0.0 && $(COMPRESS) mushrooms1.0.0.tar) && $(MOVE) `dirname .tmp/mushrooms1.0.0`/mushrooms1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/mushrooms1.0.0
 
 
 clean:compiler_clean 
@@ -252,8 +252,8 @@
 compiler_rcc_clean:
 	-$(DEL_FILE) qrc_resources.cpp
 qrc_resources.cpp: resources.qrc \
-		textures/terrain.png \
 		textures/dpng.png \
+		textures/grass.jpg \
 		textures/sieni.png \
 		textures/nainen.jpg \
 		textures/dpngn.png \
@@ -282,3 +282,4 @@
 ui_mushhigh.h: mushhigh.ui
 	/usr/bin/uic mushhigh.ui -o ui_mushhigh.h
 
+ui_highscoredialog.h: highscoredialog.ui

=== debian/changelog ===
mushrooms (0.2.0) unstable; urgency=low

  * Updated camera system and some textures
  * Simplified shaders to improve performance
  * Fixed bug from highscores

 -- Mikko Antila <mikko.antila@gmail.com>  Sat, 25 Dec 2010 13:55:31 +0200
